LTIB build error: FslParserGetMetaData

cancel
Showing results for 
Search instead for 
Did you mean: 

LTIB build error: FslParserGetMetaData

243 Views
Swamy
Contributor III

Hello,

 

I am trying to build LTIB for IMX53 and I am facing following error when i try to build "gst-fsl-plugin".. please suggest...

 

aiurregistry.h:59: error: expected specifier-qualifier-list before 'FslParserGetMetaData'make[1]: *** [libmfw_gst_aiur_demux_la-aiur.lo] Error 1make[1]: *** Waiting for unfinished jobs....In file included from aiurdemux.h:52,                 from aiurregistry.c:42:aiurregistry.h:59: error: expected specifier-qualifier-list before 'FslParserGetMetaData'

 

Failed building gst-fsl-plugin

Tags (1)
0 Kudos
2 Replies

158 Views
Swamy
Contributor III

Thanks for the relply. Yes there was a wrong versions and now i matched both with common version and now i am able to compile.

Thanks once again for the support.

0 Kudos

158 Views
daiane_angolini
NXP Employee
NXP Employee

You should build fsl-mm-codecs too.

 

Have you donwloaded both packages (fsl-mm-codecs and gst-fsl-plugin) from fsl webpage? Are you using the same version of both?

0 Kudos